=== debian/changelog ===
chip-seq (1.5.5-3) unstable; urgency=medium

  * Fix arch only build

 -- Andreas Tille <tille@debian.org>  Sun, 29 Mar 2020 12:44:42 +0200

chip-seq (1.5.5-2) unstable; urgency=medium

  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Repository.

 -- Andreas Tille <tille@debian.org>  Fri, 27 Mar 2020 22:43:08 +0100

chip-seq (1.5.5-1) unstable; urgency=medium

  * Initial release (Closes: #954942)

 -- Andreas Tille <tille@debian.org>  Wed, 25 Mar 2020 17:25:12 +0100
