=== debian/control ===
Source: chip-seq
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/chip-seq
Vcs-Git: https://salsa.debian.org/med-team/chip-seq.git
Homepage: https://ccg.epfl.ch//chipseq
Rules-Requires-Root: no

Package: chip-seq
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         chip-seq-data,
         libmath-round-perl
Description: tools performing common ChIP-Seq data analysis tasks
 The ChIP-Seq software provides a set of tools performing common genome-
 wide ChIP- seq analysis tasks, including positional correlation
 analysis, peak detection, and genome partitioning into signal-rich and
 signal-poor regions. These tools exist as stand-alone C programs and
 perform the following tasks:
 .
  1. Positional correlation analysis and generation of an aggregation
     plot (AP) (chipcor),
  2. Extraction of specific genome annotation features around reference
     anchor points (chipextract),
  3. Read centering or shifting (chipcenter),
  4. Narrow peak caller using a fixed width peak size (chippeak),
  5. Broad peak caller used for large regions of enrichment (chippart),
  6. Feature selection tool based on a read count threshold (chipscore).
 .
 Because the ChIP-Seq tools are primarily optimized for speed, they use
 their own compact format for ChIP-seq data representation called SGA
 (Simplified Genome Annotation). SGA is a line-oriented, tab-delimited
 plain text format.

Package: chip-seq-data
Architecture: all
Depends: ${misc:Depends}
Description: tools performing common ChIP-Seq data analysis tasks (data)
 The ChIP-Seq software provides a set of tools performing common genome-
 wide ChIP- seq analysis tasks, including positional correlation
 analysis, peak detection, and genome partitioning into signal-rich and
 signal-poor regions. These tools exist as stand-alone C programs and
 perform the following tasks:
 .
  1. Positional correlation analysis and generation of an aggregation
     plot (AP) (chipcor),
  2. Extraction of specific genome annotation features around reference
     anchor points (chipextract),
  3. Read centering or shifting (chipcenter),
  4. Narrow peak caller using a fixed width peak size (chippeak),
  5. Broad peak caller used for large regions of enrichment (chippart),
  6. Feature selection tool based on a read count threshold (chipscore).
 .
 Because the ChIP-Seq tools are primarily optimized for speed, they use
 their own compact format for ChIP-seq data representation called SGA
 (Simplified Genome Annotation). SGA is a line-oriented, tab-delimited
 plain text format.
 .
 This package contains the database files shipped with chip-seq.
