=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_install:
	dh_install
	for perlscript in `grep -lR '#!/usr/local/bin/perl' debian/*/usr` ; do \
	    sed -i '1s+#!/usr/local/bin/perl+#!/usr/bin/perl+' $${perlscript} ; \
	done

override_dh_installman:
	dh_installman --language=C

override_dh_fixperms-indep:
	dh_fixperms -i
	find debian/$(DEB_SOURCE)-data/usr/share/$(DEB_SOURCE)/ -type f -exec chmod -x \{\} \;
