=== debian/watch ===
version=4

https://sf.net/chip-seq/chip-seq.(\d[\d.]+)@ARCHIVE_EXT@
# https://sf.net/chip-seq/chip-seq@ANY_VERSION@@ARCHIVE_EXT@
